'use client'
import ConversationList from '@/feature/messenger/components/conversation/ConversationList';
import ChatConfigContext from '@/feature/messenger/context/ChatConfigContext';
import FooterConversationList from '@/feature/messenger/components/layout/footer/FooterConversationList';
import HeaderConversations from '@/feature/messenger/components/layout/header/HeaderConversations';
import SearchConversations from '@/feature/messenger/components/layout/header/SearchConversations';
import useConversationsStore from '@/feature/messenger/store/chat_store/useConversationsStore';
import FilterChipConversations from '@/feature/messenger/components/layout/header/FilterChipConversations';


export default function ListChatSection() {
    const selectedtConversation = useConversationsStore(state => state.selectedConversation);
    const isChatOpen = selectedtConversation.sesion !== '';
    const leftSidebarState = ChatConfigContext(state => state.leftSidebar);
    const showLeftSidebar = leftSidebarState === "chat" ? `${isChatOpen ? 'hidden md:flex' : 'flex'}` : 'hidden';

    return (
        <div className={`${showLeftSidebar} relative flex-col w-full min-w-96 md:w-1/4 lg:h-auto lg:flex-shrink-0 h-screen border-r-1 section-content-sidebar dark:bg-gray-700`}>
            {/* Sidebar Header */}
            <HeaderConversations />
            {/* Chat Footer */}
            <FooterConversationList />
            {/* Sidebar content */}
            {/* Search */}
            <SearchConversations />
            {/* Search */}
            <FilterChipConversations />
            {/* ChatList */}
            <div className="w-full h-full overflow-auto dark:bg-gray-700 scrollbar">
                <ul className="w-full h-full p-2 dark:bg-gray-700 divide-y md:divide-y-0">
                    <ConversationList />
                </ul>
            </div>
            <div className="absolute top-0 left-0 w-full h-16 bg-white rounded-tl-[2rem] -z-10 section-content-sidebar dark:bg-gray-700"></div>
        </div>
    )
}